<?php
require_once('conn.php');
function custom_mysql_query($sql)
{
    global $conn;
    $result = mysqli_query($conn, $sql);
    return $result;
}

function custom_mysql_num_rows($row)
{
    return mysqli_num_rows($row);
}

function custom_mysql_fetch_all($sql)
{
    $rows = array();
    while ($row = mysqli_fetch_assoc($sql)) {
        $rows[] = $row;
    }
    return $rows;
}

function custom_mysql_fetch_object($sql)
{
    return mysqli_fetch_object($sql);
}

function custom_mysql_fetch_array($sql)
{
    return mysqli_fetch_array($sql);
}

function custom_mysql_real_escape_string($str)
{
    global $conn;
    return mysqli_real_escape_string($conn,$str);
}

function custom_mysql_error()
{
    global $conn;
    return mysqli_error($conn);
}

function custom_mysql_fetch_assoc($sql)
{
    return mysqli_fetch_assoc($sql);
}

function custom_mysql_affected_rows()
{
    global $conn;
    return mysqli_affected_rows($conn);
}

function custom_mysql_data_seek($res, $index)
{
    return mysqli_data_seek($res, $index);
}

function custom_mysql_select_db($db)
{
    global $conn;
    return mysqli_select_db($conn, $db);
}

function custom_mysql_fetch_row($sql)
{
    return mysqli_fetch_row($sql);
}
function custom_mysql_insert_id(){
    global $conn;
    return mysqli_insert_id($conn);
}